package models

import (
	// "gorm.io/gorm"

	"go-admin/common/models"
)

type OrgMatchEvaluateWonderful struct {
	models.Model

	MatchEvaluateId string `json:"matchEvaluateId" gorm:"type:bigint(20);comment:MatchEvaluateId"`
	WonderfulUrl    string `json:"wonderfulUrl" gorm:"type:varchar(255);comment:精彩时刻url"`
	WonderfulTitle  string `json:"wonderfulTitle" gorm:"type:varchar(255);comment:精彩时刻标题"`
	FileId          string `json:"fileId" gorm:"type:varchar(30);comment:文件id"`
	Type            string `json:"type" gorm:"type:bigint(20);comment:1 图片 2 视频"`
	models.ModelTime
	models.ControlBy
}

func (OrgMatchEvaluateWonderful) TableName() string {
	return "org_match_evaluate_wonderful"
}

func (e *OrgMatchEvaluateWonderful) Generate() models.ActiveRecord {
	o := *e
	return &o
}

func (e *OrgMatchEvaluateWonderful) GetId() interface{} {
	return e.Id
}
